cdac.medinfo.ccd.narrativeblock

## Class StrucDocTbody

- java.lang.Object
- - cdac.medinfo.ccd.narrativeblock.StrucDocTbody

- All Implemented Interfaces:
    java.io.Serializable

      public class StrucDocTbody
      extends java.lang.Object
      implements java.io.Serializable

  Java class for StrucDoc.Tbody complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="StrucDoc.Tbody">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence maxOccurs="unbounded">
               <element name="tr" type="{urn:hl7-org:v3}StrucDoc.Tr"/>
             </sequence>
             <attribute name="ID" type="{http://www.w3.org/2001/XMLSchema}ID" />
             <attribute name="language" type="{http://www.w3.org/2001/XMLSchema}NMTOKEN" />
             <attribute name="styleCode" type="{http://www.w3.org/2001/XMLSchema}NMTOKENS" />
             <attribute name="align">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
                   <enumeration value="left"/>
                   <enumeration value="center"/>
                   <enumeration value="right"/>
                   <enumeration value="justify"/>
                   <enumeration value="char"/>
                 </restriction>
               </simpleType>
             </attribute>
             <attribute name="char" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="charoff" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="valign">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
                   <enumeration value="top"/>
                   <enumeration value="middle"/>
                   <enumeration value="bottom"/>
                   <enumeration value="baseline"/>
                 </restriction>
               </simpleType>
             </attribute>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrucDocTbody()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAlign()` Gets the value of the align property.
    `java.lang.String` | `getChar()` Gets the value of the char property.
    `java.lang.String` | `getCharoff()` Gets the value of the charoff property.
    `java.lang.String` | `getID()` Gets the value of the id property.
    `java.lang.String` | `getLanguage()` Gets the value of the language property.
    `java.util.List<java.lang.String>` | `getStyleCode()` Gets the value of the styleCode property.
    `java.util.List<StrucDocTr>` | `getTr()` Gets the value of the tr property.
    `java.lang.String` | `getValign()` Gets the value of the valign property.
    `void` | `setAlign(java.lang.String value)` Sets the value of the align property.
    `void` | `setChar(java.lang.String value)` Sets the value of the char property.
    `void` | `setCharoff(java.lang.String value)` Sets the value of the charoff property.
    `void` | `setID(java.lang.String value)` Sets the value of the id property.
    `void` | `setLanguage(java.lang.String value)` Sets the value of the language property.
    `void` | `setValign(java.lang.String value)` Sets the value of the valign property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StrucDocTbody

          public StrucDocTbody()

  - ### Method Detail

    - #### getTr

          public java.util.List<StrucDocTr> getTr()

      Gets the value of the tr property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the tr property.

      For example, to add a new item, do as follows:

              getTr().add(newItem);

      Objects of the following type(s) are allowed in the list `StrucDocTr`

    - #### getID

          public java.lang.String getID()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setID

          public void setID(java.lang.String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLanguage

          public java.lang.String getLanguage()

      Gets the value of the language property.
      Returns:
        possible object is `String`

    - #### setLanguage

          public void setLanguage(java.lang.String value)

      Sets the value of the language property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStyleCode

          public java.util.List<java.lang.String> getStyleCode()

      Gets the value of the styleCode property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the styleCode property.

      For example, to add a new item, do as follows:

              getStyleCode().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getAlign

          public java.lang.String getAlign()

      Gets the value of the align property.
      Returns:
        possible object is `String`

    - #### setAlign

          public void setAlign(java.lang.String value)

      Sets the value of the align property.
      Parameters:
        `value` - allowed object is `String`

    - #### getChar

          public java.lang.String getChar()

      Gets the value of the char property.
      Returns:
        possible object is `String`

    - #### setChar

          public void setChar(java.lang.String value)

      Sets the value of the char property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCharoff

          public java.lang.String getCharoff()

      Gets the value of the charoff property.
      Returns:
        possible object is `String`

    - #### setCharoff

          public void setCharoff(java.lang.String value)

      Sets the value of the charoff property.
      Parameters:
        `value` - allowed object is `String`

    - #### getValign

          public java.lang.String getValign()

      Gets the value of the valign property.
      Returns:
        possible object is `String`

    - #### setValign

          public void setValign(java.lang.String value)

      Sets the value of the valign property.
      Parameters:
        `value` - allowed object is `String`